
Foreman - Feature #73

add support for user groups

11/07/2009 08:35 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

each host can be associated with a user or a group, allowing to send email notifications to the right user or group of users.

Related issues:

Related to Foreman - Feature #139: per host authorization for making changes. Closed 12/18/2009

Follows Foreman - Feature #170: Create a usergroup implementation Closed 03/03/2010

Associated revisions

Revision 9c0e127b - 05/17/2010 07:03 AM - Paul Kelly

Fixes #170 - implement usergroups

Added migration

Added tests

Added MVC files

Added the routes as well

Added the program logic and additional views

Added RESTful actions for update and create

Added validations to ensure that usergroup.name and user.login do not collide

Added "recipients" method to users and usergroups. This returns a list of addresses.

Usergroup#recipients will follow all nested  usergroups avoiding any loops and

return only unique addresses

Fixes #73 - Add usergroup support to hosts

Fixes #244 - Remove ActiveScaffold from the usergroup pages

and finally - added owners to host edit page and other whitespaces and

mods by ohad

History

#1 - 12/10/2009 07:35 AM - Ohad Levy

- Target version changed from 0.1-3 to 0.1-4

#2 - 03/09/2010 06:39 AM - Ohad Levy

- Target version changed from 0.1-4 to 0.1-5

#3 - 05/11/2010 02:22 PM - Paul Kelly

- Status changed from New to Closed

- Assignee changed from Ohad Levy to Paul Kelly

- Branch set to feature/170-usergroups

The host_mailer sends the error report to the host's owner, which may be a usergroup, if setings[:ldap] is enabled
